En ocasiones, al actualizar los paquetes de nuestra distribución Linux, podemos encontrar errores que indican que los paquetes no están disponibles.


 


 

En estos casos lo que suele ocurrir es que algunos de los repositorios Linux han cambiado, o que nuestra versión de la distro Linux que utilizamos ya no está soportada (y por tanto los repositorios han cambiado).


 

Un ejemplo de estos mensajes de error sería:

1
2
3
Imposible obtener http://es.archive.ubuntu.com/ubuntu/dists/maverick-updates/restricted/source/Sources.gz 404 Not Found [IP: 91.189.92.202 80]
Imposible obtener http://es.archive.ubuntu.com/ubuntu/dists/maverick-updates/universe/source/Sources.gz 404 Not Found [IP: 91.189.92.202 80]
Imposible obtener http://es.archive.ubuntu.com/ubuntu/dists/maverick-updates/main/binary-i386/Packages.gz 404 Not Found [IP: 91.189.92.202 80]

 

 

TE RECOMENDAMOS  Instalar ndiswrapper | Emulación de drivers wifi windows

 

Lo que debemos hacer en estos casos es actualizar a mano el archivo etc/apt/sources.list


En este caso concreto, se trataba de actualizar los repositorios de una vieja versión de Lubuntu.
 
Lo hemos solucionado editando el archivo sources.list y reemplazando es.archive por old-releases



 

1
2
3
4
5
6
7
8
deb http://old-releases.ubuntu.com/ubuntu/ maverick main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ maverick main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ maverick-updates main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ maverick-updates main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ maverick-security main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ maverick-security main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ maverick-backports main restricted universe multiverse
deb-src http://old-releases.ubuntu.com/ubuntu/ maverick-backports main restricted universe multiverse

 

 

TE RECOMENDAMOS  Server refused our key | SSH

 

 

Y a continuación ya podemos actualizar los paquetes de nuestra distribución Linux con apt-get update y apt-get upgrade:

Actualizar repositorios old releases
 

 
Más info sobre Versiones anteriores de Ubuntu

 




Etiquetas del articulo: